Bug 837544 - snapshot-list return core dumped
snapshot-list return core dumped
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Linux
high Severity high
: rc
: ---
Assigned To: Eric Blake
Virtualization Bugs
: Regression
Depends On:
Blocks: 807545 840699
  Show dependency treegraph
 
Reported: 2012-07-04 04:14 EDT by yanbing du
Modified: 2013-02-21 02:18 EST (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:18:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yanbing du 2012-07-04 04:14:31 EDT
Description of problem:
the output of virsh snapshot-list is:
Segmentation fault (core dumped)


Version-Release number of selected component (if applicable):
libvirt-0.9.13-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Prepare a domain
2. List snapshots for the domain
# virsh snapshot-list test
Segmentation fault (core dumped)

3.
  
Actual results:
# virsh snapshot-list test
Segmentation fault (core dumped)

Expected results:
# virsh snapshot-list test
 Name                 Creation Time             State
------------------------------------------------------------


Additional info:
only one error message in libvirtd.log
#cat /var/log/libvirt/libvirtd.log
2012-07-04 07:46:16.537+0000: 24031: error : virNetSocketReadWire:1003 : End of file while reading data: Input/output error
Comment 2 Eric Blake 2012-07-04 06:55:13 EDT
Can you please provide a stacktrace of virsh when it crashes?  How did you prepare the domain?  Is this a case where it has no snapshots at all?
Comment 3 Peter Krempa 2012-07-04 08:11:56 EDT
Segfault fixed upstream with commit:

commit d59e10338d97bd7e842c83551067aa26d685bdc9
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Wed Jul 4 10:58:39 2012 +0200

    remote: Fill remote parameters in remoteDomainListAllSnapshots()

after this commit is applied I've got a division by zero error that was caused by incorrect order of arguments for vshCalloc. This problem is solved by commit:

commit 3cdb3b4e648c6690fba3647da88d73f99367b8be
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Wed Jul 4 12:15:19 2012 +0200

    virsh: Fix ordering of arguments when calling vshCalloc.

Moving to POST.
Comment 4 yanbing du 2012-07-04 22:32:38 EDT
(In reply to comment #2)
> Can you please provide a stacktrace of virsh when it crashes?  How did you
> prepare the domain?  Is this a case where it has no snapshots at all?
It occurred no matter snapshots exist or not, and the domain it normally installed via virt-manager with no special setting.
Anyway, it already fixed upstream.
Comment 7 Huang Wenlong 2012-08-06 02:11:36 EDT
Verify this bug with :
libvirt-0.10.0-0rc0.el6.x86_64


# virsh snapshot-list ga
 Name                 Creation Time             State
------------------------------------------------------------
Comment 8 Osier Yang 2012-10-22 11:27:35 EDT
One followup patch to fix one possible segfault of snapshot-list:

# virsh snapshot-list test1 --descendants --current --tree (Reported by Kyla)

http://post-office.corp.redhat.com/archives/rhvirt-patches/2012-October/msg01086.html.

Move the bug to POST for further testing.
Comment 10 Huang Wenlong 2012-10-24 02:30:06 EDT
Verify this bug :
libvirt-0.10.2-5.el6.x86_64

#  virsh snapshot-list test  
 Name                 Creation Time             State
------------------------------------------------------------
 s-new                2012-10-24 14:17:15 +0800 running
 s-new-disk           2012-10-24 14:17:28 +0800 disk-snapshot
 s1                   2012-10-09 14:03:54 +0800 disk-snapshot
 ss1                  2012-10-24 14:22:58 +0800 disk-snapshot
 ss2                  2012-10-24 14:25:03 +0800 disk-snapshot

#  virsh snapshot-list test --descendants --current --tree
ss2


there is not core dumped
Comment 11 errata-xmlrpc 2013-02-21 02:18:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.